GET

/api/v1/exchanges/currency_rates_with_leverage_data

Permission: NONESecurity: NONE

Returns current market rates, trading rules, and ticker information along with detailed leverage configuration parameters on the futures exchange.

Query Parameters

market_codestring required

Unique exchange code in the Quentrade system (e.g. binance_futures, bybit_futures). Use the Supported markets list endpoint to get valid codes.

pairstring required

Trading pair in Quentrade format (e.g. BNFCR_1INCHUSDT, USDT_BTC). Use the All market pairs endpoint to get valid pairs.

Example Request

GET/api/v1/exchanges/currency_rates_with_leverage_data?market_code=binance_futures&pair=BNFCR_1INCHUSDT

Response Parameters

laststring

Last executed trade price.

bidstring

Current highest buying price (best bid).

askstring

Current lowest selling price (best ask).

orderbook_askstring

Ask price of ticker from the orderbook.

orderbook_bidstring

Bid price of ticker from the orderbook.

orderbook_laststring

Last price of ticker from the orderbook.

orderbook_price_currencystring

Quote currency ticker used for orderbook pricing (e.g. BNFCR, USDT).

strategy_namestring

The name of the pricing strategy applied.

contract_strategy_namestring

The strategy by which contract prices are calculated.

leverage_dataarray[object]

Represents leverage configurations available for this pair.

codestring

The type of leverage available (e.g. cross, isolated).

namestring

Display name of the leverage option available for this contract.

can_set_leverage_valueboolean

Indicates whether a custom leverage value can be configured.

available_leverage_valuesarray[number]

Available predefined leverage multiplier values for this pair.

max_leveragestring

The maximum leverage multiplier allowed for this contract.

validobject

Contains minimum and maximum leverage bounds (e.g. min: 1, max: 25.0).

instrumentKindstring

The type of market instrument (e.g. linear_futures, inverse_futures).

minPricestring

Minimum allowed order price.

maxPricestring

Maximum allowed order price.

priceStepstring

Minimum price increment / tick size.

minLotSizestring

Minimum order lot size in Base currency.

maxLotSizestring

Maximum order lot size in Base currency.

lotStepstring

Lot size increment step in Base currency.

maxMarketBuyAmountstring

Maximum order amount in Base currency for market buy.

maxMarketSellAmountstring

Maximum order amount in Base currency for market sell.

minMarketBuyAmountstring

Minimum order amount in Base currency for market buy.

minMarketSellAmountstring

Minimum order amount in Base currency for market sell.

bidMultiplierDownstring

Multiplier applied to decrease the bid price.

bidMultiplierUpstring

Multiplier applied to increase the bid price.

askMultiplierUpstring

Multiplier applied to increase the ask price.

askMultiplierDownstring

Multiplier applied to decrease the ask price.

minTotalstring

Minimum allowed order total in Quote currency.

minMarketTotalstring

Minimum allowed market order total in Quote currency.

maxTotalstring

Maximum allowed order total in Quote currency.

Example Responses

currency_rates_with_leverage_response.json
200 OK
{
  "last": "0.3039",
  "bid": "0.3039",
  "ask": "0.304",
  "orderbook_ask": "0.304",
  "orderbook_bid": "0.3039",
  "orderbook_last": "0.3039",
  "orderbook_price_currency": "BNFCR",
  "strategy_name": "orderbook_price",
  "contract_strategy_name": "orderbook_price",
  "leverage_data": [
    {
      "code": "cross",
      "name": "Cross",
      "can_set_leverage_value": true,
      "available_leverage_values": [],
      "max_leverage": "25.0",
      "valid": {
        "min": 1,
        "max": "25.0"
      }
    }
  ],
  "instrumentKind": "linear_futures",
  "priceStep": "0.0001",
  "minLotSize": "1.0",
  "maxLotSize": "5000000.0",
  "lotStep": "1.0",
  "maxMarketBuyAmount": "500000.0",
  "maxMarketSellAmount": "500000.0",
  "minMarketBuyAmount": "1.0",
  "minMarketSellAmount": "1.0",
  "minTotal": "5.0",
  "bidMultiplierUp": "1.1",
  "askMultiplierDown": "0.9",
  "minPrice": "0.0613",
  "maxPrice": "100000.0"
}